org.apache.solr.core

## Class ConfigSetService.SchemaCaching

- java.lang.Object
- - org.apache.solr.core.ConfigSetService
  - - org.apache.solr.core.ConfigSetService.Default
    - - org.apache.solr.core.ConfigSetService.SchemaCaching

- Enclosing class:
    ConfigSetService

      public static class ConfigSetService.SchemaCaching
      extends ConfigSetService.Default

  A ConfigSetService that shares schema objects between cores

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.core.ConfigSetService

      `ConfigSetService.Default, ConfigSetService.SchemaCaching`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.joda.time.format.DateTimeFormatter` | `cacheKeyFormatter`

    - ### Fields inherited from class org.apache.solr.core.ConfigSetService

      `parentLoader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaCaching(SolrResourceLoader loader, Path configSetBase)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `cacheName(Path schemaFile)`
    `IndexSchema` | `createIndexSchema(CoreDescriptor cd, SolrConfig solrConfig)` Create an IndexSchema object for a core

    - ### Methods inherited from class org.apache.solr.core.ConfigSetService.Default

      `configName, createCoreResourceLoader, locateInstanceDir`

    - ### Methods inherited from class org.apache.solr.core.ConfigSetService

      `createConfigSetProperties, createConfigSetService, createSolrConfig, getConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cacheKeyFormatter

          public static final org.joda.time.format.DateTimeFormatter cacheKeyFormatter

  - ### Constructor Detail

    - #### SchemaCaching

          public SchemaCaching(SolrResourceLoader loader,
                               Path configSetBase)

  - ### Method Detail

    - #### cacheName

          public static String cacheName(Path schemaFile)
                                  throws IOException

      Throws:
        `IOException`

    - #### createIndexSchema

          public IndexSchema createIndexSchema(CoreDescriptor cd,
                                               SolrConfig solrConfig)

      Description copied from class: `ConfigSetService`
      Create an IndexSchema object for a core
      Overrides:
        `createIndexSchema` in class `ConfigSetService`
      Parameters:
        `cd` - the core's CoreDescriptor
        `solrConfig` - the core's SolrConfig
      Returns:
        an IndexSchema

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.